### Virtual Method

# Gck Module authenticate_object

#### Declaration [src]

    gboolean
    authenticate_object (
      GckModule* self,
      GckObject* object,
      gchar* label,
      gchar** password
    )

#### Description

No description available.

#### Parameters

`object`

  Type: `GckObject`

  No description available.

  The data is owned by the caller of the function.

`label`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`password`

  Type: `gchar**`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.